python-flake8_3.5.0-1_all.deb


Advertisement

Description

python-flake8 - code checker using pycodestyle and pyflakes - Python 2.x

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-flake8_3.5.0-1_all.deb
Package name python-flake8
Package version 3.5.0
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://gitlab.com/pycqa/flake8
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 49.54 KB
Installed size 255.00 KB
Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
Flake8 runs all tools by launching the single 'flake8' script, but ignores
pycodestyle and PyFlakes extended options and just uses defaults. It displays
the warnings in a per-file, merged output.
This package provides Python 2 module bindings only.

Alternatives

Package Version Architecture Repository
python-flake8_3.5.0-1_all.deb 3.5.0 all Ubuntu Universe
python-flake8 - - -

Requires

Name Value
python-configparser -
python-enum34 -
python-mccabe >= 0.6.0
python-pkg-resources -
python-pycodestyle -
python-pyflakes >= 1.5.0
python-setuptools >= 30
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-flake8_3.5.0-1_all.deb
Source Package python-flake8

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-flake8 deb package:
    # sudo apt-get install python-flake8

Files

Path
/usr/lib/python2.7/dist-packages/flake8/__init__.py
/usr/lib/python2.7/dist-packages/flake8/__main__.py
/usr/lib/python2.7/dist-packages/flake8/checker.py
/usr/lib/python2.7/dist-packages/flake8/defaults.py
/usr/lib/python2.7/dist-packages/flake8/exceptions.py
/usr/lib/python2.7/dist-packages/flake8/processor.py
/usr/lib/python2.7/dist-packages/flake8/statistics.py
/usr/lib/python2.7/dist-packages/flake8/style_guide.py
/usr/lib/python2.7/dist-packages/flake8/utils.py
/usr/lib/python2.7/dist-packages/flake8-3.5.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/flake8-3.5.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/flake8-3.5.0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/flake8-3.5.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/flake8-3.5.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/flake8/api/__init__.py
/usr/lib/python2.7/dist-packages/flake8/api/legacy.py
/usr/lib/python2.7/dist-packages/flake8/formatting/__init__.py
/usr/lib/python2.7/dist-packages/flake8/formatting/base.py
/usr/lib/python2.7/dist-packages/flake8/formatting/default.py
/usr/lib/python2.7/dist-packages/flake8/main/__init__.py
/usr/lib/python2.7/dist-packages/flake8/main/application.py
/usr/lib/python2.7/dist-packages/flake8/main/cli.py
/usr/lib/python2.7/dist-packages/flake8/main/debug.py
/usr/lib/python2.7/dist-packages/flake8/main/git.py
/usr/lib/python2.7/dist-packages/flake8/main/mercurial.py
/usr/lib/python2.7/dist-packages/flake8/main/options.py
/usr/lib/python2.7/dist-packages/flake8/main/setuptools_command.py
/usr/lib/python2.7/dist-packages/flake8/main/vcs.py
/usr/lib/python2.7/dist-packages/flake8/options/__init__.py
/usr/lib/python2.7/dist-packages/flake8/options/aggregator.py
/usr/lib/python2.7/dist-packages/flake8/options/config.py
/usr/lib/python2.7/dist-packages/flake8/options/manager.py
/usr/lib/python2.7/dist-packages/flake8/plugins/__init__.py
/usr/lib/python2.7/dist-packages/flake8/plugins/_trie.py
/usr/lib/python2.7/dist-packages/flake8/plugins/manager.py
/usr/lib/python2.7/dist-packages/flake8/plugins/notifier.py
/usr/lib/python2.7/dist-packages/flake8/plugins/pyflakes.py
/usr/share/doc/python-flake8/changelog.Debian.gz
/usr/share/doc/python-flake8/copyright

Changelog

2017-12-10 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.5.0-1) unstable; urgency=medium
* New upstream release
* d/clean: Don't remove tox.ini
* Fix typo in manpage
2017-11-05 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.4.1-3) unstable; urgency=medium
* Uploading to unstable (Closes: #877940)
* Standards-Version is 4.1.1 now (no changes needed)
2017-08-07 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.4.1-2) experimental; urgency=medium
* Drop zigo from uploaders because he requested it
* Add python-configparser and python-enum34 back to depends
2017-08-04 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.4.1-1) experimental; urgency=medium
* New upstream release
* Rebased patches for new upstream release
* Bump required version of python{,3}-setuptools
* Standards-Version is 4.0.0.4 now (no changes needed)
2017-04-09 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.3.0-1) experimental; urgency=medium
* New upstream release
* Bump required version of python{,3}-mccabe and python{,3}-pyflakes
* d/copyright
- Bump copyright years
- Change source URL to new location
* Enable autopkgtest-pkg-python testsuite
* d/tests: Install only flake8 tool, not all binary packages
2016-11-25 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.2.1-1) unstable; urgency=medium
* New upstream release
* Bumped required version of mock to 2.0.0
2016-11-17 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.2.0-1) unstable; urgency=medium
* New upstream release
* d/patches/0001-Removed-pytest-options.patch:
Removed, applied upstream
* d/patches/0003-Add-previous_unindented_logical_line-attribute.patch:
Removed, applied upstream
* Removed dfsg rebuild of orig tarball, not needed anymore
* d/control: Fixed deps for new release
* d/flake8.1: Updated for new release
2016-11-08 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.0.4+dfsg1-4) unstable; urgency=medium
* Bumped debhelper version to 10
* Added patch to work with pycodestyle 2.1.0 (Closes: #843673)
2016-11-03 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.0.4+dfsg1-3) unstable; urgency=medium
* Remove upper constrains from upstream requirements (Closes: #843036)
2016-09-09 - Ondřej Nový <onovy@debian.org>
python-flake8 (3.0.4+dfsg1-2) unstable; urgency=medium
* d/source/options: Ignore egg-info
* d/rules: clean target fixed for new release
* Require to install same version of python3-flake8 and flake8
(Closes: #837169)

See Also

Package Description
python-flaky_3.3.0-1_all.deb Plugin for nose or py.test that automatically reruns flaky tests (Python 2)
python-flask-api-common_0.6.4+dfsg-1_all.deb Browsable web APIs for the Flask micro web framework - static resources
python-flask-api_0.6.4+dfsg-1_all.deb Browsable web APIs for the Flask micro web framework - Python 2.X
python-flask-autoindex-doc_0.6+0git20160725-02b454-3_all.deb automatically generated index pages for Flask applications (documentation)
python-flask-autoindex_0.6+0git20160725-02b454-3_all.deb automatically generated index pages for Flask applications (Python 2)
python-flask-babel-doc_0.11.2-2_all.deb internationalization and localization support for Flask (documentation)
python-flask-babel_0.11.2-2_all.deb internationalization and localization support for Flask (Python 2)
python-flask-bcrypt-doc_0.7.1-1_all.deb Flask extension that provides bcrypt hashing utilities (doc)
python-flask-bcrypt_0.7.1-1_all.deb Python 2 flask extension that provides bcrypt hashing utilities
python-flask-compress_1.4.0-1_all.deb Compress responses in a Flask app with gzip (Python 2)
python-flask-flatpages-doc_0.6-1_all.deb Provides flat static pages to a Flask application (doc)
python-flask-flatpages_0.6-1_all.deb Provides flat static pages to a Python 2 Flask application
python-flask-gravatar_0.4.2-1_all.deb Extension for Flask to make usage of Gravatar service
python-flask-htmlmin_1.3.1-1_all.deb Minimize render templates html
python-flask-httpauth_3.2.1-1_all.deb Basic and Digest HTTP authentication for Flask routes
Advertisement
Advertisement